Installer - Bug #31670

Command exceeded timeout while Installer executes foreman-rake db:migrate

01/18/2021 03:33 PM - Evgeni Golov

Status: Closed

Priority: High

Assignee: Evgeni Golov
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases: 2.4.0
Triaged: No Found in Releases:
Bugzilla link: 1908237 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for

eman/pull/915,

https://github.com/theforeman/puppet-pul

pcore/pull/163
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1908237

Installer Clone of the BZ, as the installer should not timeout after 5 minutes.

During an upgrade of 6.7.5 to 6.8.2 (snap 2) the db:migrate step in the installer fails, as it doesn\'t finish in 5 minutes (which is the

default timeout for Puppet exec).

[DEBUG 2020-12-04T13:14:09 main] Exec[foreman-rake-db:migrate](provider=posix): Executing \'/usr/sbin/foreman-rake

db:migrate\'

[DEBUG 2020-12-04T13:14:09 main] Executing with uid=foreman: \'/usr/sbin/foreman-rake db:migrate\’
[ERROR 2020-12-04T13:19:09 main] Command exceeded timeout

One interesting detail is that Puppet does NOT kill the process, so the db:migrate is running in the background and tries to re-run the
installer will result in other, confusing errors (ActiveRecord::ConcurrentMigrationError, Foreman::PermissionMissingException -- the

later seems to happen on the "unless" command)

The migration run took roughtly 6 hours on my setup, and | could finish the upgrade just fine after that.

the installer should not assume db:migrate can finish in 5 minutes, this is not realistic.

Associated revisions

Revision 41f6efae - 01/19/2021 07:10 PM - Evgeni Golov

Fixes #31670 - don't timeout when running db:migrate

Revision f2075f13 - 01/20/2021 10:15 AM - Evgeni Golov
Refs #31670 - don't timeout DB migrations

History

#1 - 01/18/2021 03:40 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/puppet-foreman/pull/915 added

#2 - 01/19/2021 09:54 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/163 added

#3 - 01/19/2021 07:10 PM - The Foreman Bot
- Fixed in Releases 2.4.0 added
https://bugzilla.redhat.com/show_bug.cgi?id=1908237

#4 - 01/19/2021 08:01 PM - Evgeni Golov
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|41f6efae5e38e758aeee663ead755bbcf0f0fc71.

#5 - 03/18/2021 02:48 PM - Amit Upadhye

- Subject changed from Command exceeded timeout while Installer executes foreman-rake db:migrate
to Command exceeded timeout while Installer executes foreman-rake db:migrate

- Category set to Foreman modules
